package uy.edu.chesstrack.communication;

import java.io.DataOutputStream;
import java.io.IOException;
import java.net.InetAddress;
import java.net.Socket;

import android.util.Log;

public class Client {

	private static final String TAG = "CLIENT";
	private Socket serverSocket;
	//private BufferedReader input;
	private DataOutputStream output;

	public static final int SERVERPORT = 5555;

	public Client(String serverIp) {
		Log.i(TAG, "init client-server communication");
		try {
			InetAddress serverAddr = InetAddress.getByName(serverIp);
			serverSocket = new Socket(serverAddr, SERVERPORT);
			Log.i(TAG, "Server on " + serverIp + ":" + SERVERPORT);

			// get stream to send data
			this.output = new DataOutputStream(this.serverSocket.getOutputStream());
			this.SendData(new String("Aylen Ricca Cambon\n"));
			// get stream to receive data
			//this.input = new BufferedReader(new InputStreamReader(this.serverSocket.getInputStream()));
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public void SendData(String msg) {
		try {
			Log.i(TAG, "sending="+ msg);
			this.output.writeBytes(msg);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	/*
 	public String ReceiveData() {
		try {
			String read = input.readLine();
			Log.i(TAG, "received="+ read);
			return read;
		} catch (IOException e) {
			e.printStackTrace();
			return null;
		}
	}
	*/

	public void Stop() {
		try {
			serverSocket.close();
			output.close();
			//input.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
